# class RDoc::Markup::Raw

frozen_string_literal: false

A section of text that is added to the output document as-is

### Attributes

parts[R]

The component parts of the list

### Public Class Methods

new(*parts) click to toggle source

Creates a new Raw containing `parts`

    # File lib/rdoc/markup/raw.rb, line 15
    def initialize *parts
      @parts = []
      @parts.concat parts
    end

### Public Instance Methods

<<(text) click to toggle source

Appends `text`

    # File lib/rdoc/markup/raw.rb, line 23
    def << text
      @parts << text
    end

accept(visitor) click to toggle source

Calls accept_raw+ on `visitor`

    # File lib/rdoc/markup/raw.rb, line 34
    def accept visitor
      visitor.accept_raw self
    end

merge(other) click to toggle source

Appends `other`'s parts

    # File lib/rdoc/markup/raw.rb, line 41
    def merge other
      @parts.concat other.parts
    end

push(*texts) click to toggle source

Appends `texts` onto this Paragraph

    # File lib/rdoc/markup/raw.rb, line 58
    def push *texts
      self.parts.concat texts
    end

text() click to toggle source

The raw text

    # File lib/rdoc/markup/raw.rb, line 65
    def text
      @parts.join ' '
    end